Package relaxngcc.grammar

# Class NameClass

java.lang.Object
relaxngcc.grammar.NameClass

Direct Known Subclasses:
  `AnyNameClass`, `ChoiceNameClass`, `NsNameClass`, `SimpleNameClass`

public abstract class NameClass extends Object

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`NameClass()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`apply(NameClassFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameClass

public NameClass()

## Method Details

### apply

public abstract Object apply(NameClassFunction f)